%global git_tag 7b10a44eafe2034ea11dba04544676b2c14decf1
Name:		slurm-showq
Version:	1.0
Release:	3%{?dist}.1
Summary:	A "showq" style job summary utility for SLURM

Group:		System Environment/Base
License:	GPLv3
URL:		https://github.com/siliu-tacc/slurm_showq
Source0:	https://github.com/siliu-tacc/slurm_showq/archive/%{git_tag}/slurm_showq-%{git_tag}.tar.gz
Patch1:		fixes.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	slurm-devel
Requires:	slurm

%description
A "showq" style job summary utility for SLURM. Useful for generating a
summary of all running, pending, and blocked jobs.

%prep
%setup -q -n slurm_showq-%{git_tag}
%patch1 -p1 -b .fixes

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README showq.conf
%{_bindir}/showq

%changelog
* Mon Apr 12 2021 Josko Plazonic <plazonic@princeton.edu> 1.0-3.sdl8.1
- update to TACC version
- change location of conf file to something more reasonable

* Wed Jul 09 2014 Josko Plazonic <plazonic@princeton.edu> 0.1-1.sdl6.1
- initial build
